{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
    <link href="{% static 'blog/main.css' %}" rel="stylesheet">
    <title>{% block title %}{% endblock %}</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
    <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'blog:blog-home' %}" style="color: #ffc107"><b>lcProgers</b></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{% url 'blog:blog-home' %}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'blog:blog-contacts' %}">Contacts</a>
                </li>
                {#                    <li class="nav-item dropdown">#}
                {#                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"#}
                {#                           aria-expanded="false">#}
                {#                            Dropdown#}
                {#                        </a>#}
                {#                        <ul class="dropdown-menu">#}
                {#                            <li><a class="dropdown-item" href="#">Action</a></li>#}
                {#                            <li><a class="dropdown-item" href="#">Another action</a></li>#}
                {#                            <li>#}
                {#                                <hr class="dropdown-divider">#}
                {#                            </li>#}
                {#                            <li><a class="dropdown-item" href="#">Something else here</a></li>#}
                {#                        </ul>#}
                {#                    </li>#}
                {#                    <li class="nav-item">#}
                {#                        <a class="nav-link disabled">Disabled</a>#}
                {#                    </li>#}
            </ul>
            <form class="d-flex" role="search">
                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-warning me-2" type="submit">Search</button>
            </form>
            {% if user.is_authenticated %}
                <ul class="navbar-nav dropstart">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" style="color: #ffc107" href="#" role="button"
                           data-bs-toggle="dropdown"
                           aria-expanded="false">
                            {{ user }}
                        </a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="{% url 'blog:news-create' %}">Добавить статью</a></li>
                            <li><a class="dropdown-item" href="{% url 'users:profile' %}">Профиль</a></li>
                            {#                            <li><a class="dropdown-item" href="#">Another action</a></li>#}
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="{% url 'users:logout-user' %}">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            {% else %}
                <a class="btn btn-outline-warning me-2" href="{% url 'users:register-user' %}"
                   role="button">Registration</a>
                <a class="btn btn-outline-warning me-2" href="{% url 'users:login-user' %}"
                   role="button">Login</a></div>
            {% endif %}

    </div>
</nav>
<main class="container">
    <div class="row">
        <div class="col-md-8">
            {% if messages %}
                {% for message in messages %}
                    <div class="alert alert-success">{{ message }}</div>
                {% endfor %}
            {% endif %}
            {% block body %}{% endblock %}
        </div>
        <aside class="col-md-4">
            <div class="p-3">
                {% block aside_news_section %}{% endblock %}
            </div>
        </aside>
    </div>
    <div class="container">
        <footer class="py-3 my-4">
            <ul class="nav justify-content-center border-bottom pb-3 mb-3">
                <li class="nav-item"><a href="{% url 'blog:blog-home' %}"
                                        class="nav-link px-2 text-body-secondary">Home</a></li>
                {#                <li class="nav-item"><a href="#" class="nav-link px-2 text-body-secondary">Features</a></li>#}
                {#                <li class="nav-item"><a href="#" class="nav-link px-2 text-body-secondary">Pricing</a></li>#}
                {#                <li class="nav-item"><a href="#" class="nav-link px-2 text-body-secondary">FAQs</a></li>#}
                <li class="nav-item"><a href="{% url 'blog:blog-contacts' %}" class="nav-link px-2 text-body-secondary">Contacts</a>
                </li>
                <li class="nav-item"><a href="#" class="nav-link px-2 text-body-secondary">About</a></li>
            </ul>
            <p class="text-center text-body-secondary">© 2023 Company, Inc</p>
        </footer>
    </div>
</main>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe"
        crossorigin="anonymous"></script>
</body>
</html>
